#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: concurrent-output
version: 1.10.5
id: concurrent-output-1.10.5-32b9xySmV1XDNWRJyZN1E7
key: concurrent-output-1.10.5-32b9xySmV1XDNWRJyZN1E7
license: BSD-2-Clause
copyright: 2015-2017 Joey Hess, 2009 Joachim Breitner
maintainer: Joey Hess <id@joeyh.name>
author: Joey Hess, Joachim Breitner
stability: Stable
synopsis: Ungarble output from several threads or commands
description:
    Lets multiple threads and external processes concurrently output to the
    console, without it getting all garbled up.
    .
    Built on top of that is a way of defining multiple output regions,
    which are automatically laid out on the screen and can be individually
    updated by concurrent threads. Can be used for progress displays etc.
    .
    <<https://joeyh.name/code/concurrent-output/demo2.gif>>
category: User Interfaces
abi: fd04c0eaead8c018530d2538b9ede584
exposed: True
exposed-modules:
    System.Console.Concurrent System.Console.Concurrent.Internal
    System.Console.Regions System.Process.Concurrent
hidden-modules: Utility.Monad Utility.Data Utility.Exception
import-dirs: /usr/lib/ghc-8.4.2/site-local/concurrent-output-1.10.5
library-dirs: /usr/lib/ghc-8.4.2/site-local/concurrent-output-1.10.5
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/concurrent-output-1.10.5
hs-libraries: HSconcurrent-output-1.10.5-32b9xySmV1XDNWRJyZN1E7
depends:
    base-4.11.1.0 text-1.2.3.0 async-2.2.1-B6m2kYywRJu7nicgTBxsJe
    stm-2.4.5.0 process-1.6.3.0 directory-1.3.1.5 transformers-0.5.5.0
    exceptions-0.8.3-6WkrztLwxRv2NB3qEvHVbf
    ansi-terminal-0.8.0.4-CvDyNcwxO3756EDj7fON2h
    terminal-size-0.3.2.1-KN6K6Ef1GMWIEqS2qb6D5y unix-2.7.2.2
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             text-1.2.3.0=5654b56910ce698015ec900075c28f62
             async-2.2.1-B6m2kYywRJu7nicgTBxsJe=c9f0ee1873901d5683a7b150cb14a209
             stm-2.4.5.0=fc4e40e3aa6203460dfa01934bcd44f0
             process-1.6.3.0=f742183dfb18804fd4a4a0e3c09be01d
             directory-1.3.1.5=c4ddb2059d4b7fed7d39b1d1bb3bf41d
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             exceptions-0.8.3-6WkrztLwxRv2NB3qEvHVbf=90dd74da021381146ba64944278df775
             ansi-terminal-0.8.0.4-CvDyNcwxO3756EDj7fON2h=d29a802384bc8c994c84a39efa43ccae
             terminal-size-0.3.2.1-KN6K6Ef1GMWIEqS2qb6D5y=c7e01dd3dc9b6063f4f560b8fdeddf80
             unix-2.7.2.2=52cd75b8c492339f1bc16a6e08d9b9d7
haddock-interfaces: /usr/share/doc/haskell-concurrent-output/html/concurrent-output.haddock
haddock-html: /usr/share/doc/haskell-concurrent-output/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

